using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.Passport.DataAccess
{
	public class User_GroupSelectByPk : DataAccessBase
	{
		public User_GroupSelectByPk()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.DES;
			base.Key = "1234";
			base.IV = "1234";
			ConnectionString = ConfigurationManager.AppSettings["Passport"];
			base.InitCommand("[dbo].[User_GroupSelectByPk]");
			ConfigParameter();
		}

		private SqlParameter paramUserID;
		public System.Int32 UserID
		{
			get
			{
				return (System.Int32)paramUserID.Value;
			}
			set
			{
				paramUserID.Value = value;
			}
		}

		private SqlParameter paramGroupID;
		public System.Int32 GroupID
		{
			get
			{
				return (System.Int32)paramGroupID.Value;
			}
			set
			{
				paramGroupID.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramUserID = new SqlParameter();
			paramUserID.ParameterName = "@UserID";
			paramUserID.SqlDbType = SqlDbType.Int;
			paramUserID.Precision = 10;
			paramUserID.Scale = 0;
			paramUserID.Direction = ParameterDirection.Input;
			paramUserID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUserID);
			//--------------------------------------------------------
			paramGroupID = new SqlParameter();
			paramGroupID.ParameterName = "@GroupID";
			paramGroupID.SqlDbType = SqlDbType.Int;
			paramGroupID.Precision = 10;
			paramGroupID.Scale = 0;
			paramGroupID.Direction = ParameterDirection.Input;
			paramGroupID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramGroupID);
		}
	}
}